﻿using Orchard.Localization;
using Orchard.Security;
using Orchard.UI.Navigation;

namespace Amba.Workflow
{
    public class AdminMenu : INavigationProvider
    {
        public Localizer T { get; set; }

        public string MenuName
        {
            get { return "admin"; }
        }

        public void GetNavigation(NavigationBuilder builder)
        {
            builder
               .Add(T("Settings"), menu => menu
                   .Add(T("Workflow Log"), "1.0", x => x
                       .Add(T("Workflow Log"), "1.0", a => a.Action("List", "Admin", new { area = "Amba.Workflow" }).Permission(StandardPermissions.SiteOwner).LocalNav())
                   ));
        }
    }
}
